module util;

version(Windows)
{
	private import std.c.windows.windows;
	
	void sleep(size_t sec)
	{
		Sleep(sec*1000);
	}

	void msleep(size_t milli)
	{
		Sleep(milli);
	}
}

version(NANO)
{
	void msleep(size_t milli)
	{
		timespec rqtp;		
		rqtp.tv_sec = a/1000;
		rqtp.tv_nsec = a%1000000;
		nanosleep(&rqtp,NULL);
	}
}

version(USLEEP)
{
	void msleep(size_t milli)
	{
		usleep(milli*1000);
	}
}
